Bug 1429575 - dnf upgrade from f24 to f25 failed for ppc64 (not ppc64le)
Summary: dnf upgrade from f24 to f25 failed for ppc64 (not ppc64le)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 25
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-03-06 16:09 UTC by Michel Normand
Modified: 2017-12-12 10:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:53:49 UTC


Attachments (Terms of Use)
upgrade_run-var_log_f24_to_f25_ppc64_failure.tar.gz (801.80 KB, application/x-gzip)
2017-03-06 16:09 UTC, Michel Normand
no flags Details
dnf.log (97.21 KB, text/plain)
2017-03-06 16:49 UTC, Michel Normand
no flags Details

Description Michel Normand 2017-03-06 16:09:45 UTC
Created attachment 1260451 [details]
upgrade_run-var_log_f24_to_f25_ppc64_failure.tar.gz

Description of problem:
dnf upgrade from f24 to f25 failed for ppc64 (not ppc64le)
with following error:
===
dnf -y --releasever=25 --allowerasing system-upgrade download
...
Error: The operation would result in removing the following protected packages: systemd, dnf.
===

probably related to the last changes in f25 repo.
https://ppc.koji.fedoraproject.org/compose/25/latest-Fedora-25/compose/Everything/ppc64/os/


Additional info:
The same test passed successfully initially with fc25 alpha as per
https://fedoraproject.org/wiki/Architectures/PowerPC/Fedora_25_PowerPC_installation#Upgrade

Comment 1 Peter Robinson 2017-03-06 16:21:16 UTC
Can you please put the failure bits in here rather than attaching a gzipped file. You should be able to trim it appropriately to just contain the related bit.

Comment 2 Michel Normand 2017-03-06 16:49:53 UTC
Created attachment 1260471 [details]
dnf.log

Comment 3 Fedora End Of Life 2017-11-16 19:38:26 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:53:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.